function VCV_HomeGUI
fig3=figure(3); clf
color2=[1 0.7 0.4];
color3=[1 1 0.4];
set(fig3,'NumberTitle','off','Menubar','none',...
    'Name','Consonant Test',...
    'Units','Normalized','OuterPosition',[0.1 0.2 0.6 0.7],...
    'Color',color2,'Resize','off')
axis off
drawnow

% NEW Participant
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.01 0.9 0.25 0.05],...
    'String','NEW PARTICIPANT','FontSize',15,'BackgroundColor',color2);

% Participant ID
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.01 0.85 0.15 0.05],...
    'String',sprintf('%15s','Participant ID:'),'FontSize',12,'BackgroundColor',color2);

handles3.participant_edit=uicontrol(fig3,'Style','Edit',...
    'Units','Normalized','Position',[0.155 0.85 0.1 0.05],...
    'String','','FontSize',12,...
    'BackgroundColor','w');

% Date
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.25 0.85 0.15 0.05],...
    'String',sprintf('%15s','Date:'),'FontSize',12,'BackgroundColor',color2);

handles3.date_edit=uicontrol(fig3,'Style','Edit',...
    'Units','Normalized','Position',[0.4 0.85 0.1 0.05],...
    'String','','FontSize',12,...
    'BackgroundColor','w');

% Ear
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.5 0.85 0.15 0.05],...
    'String',sprintf('%15s','Ear:'),'FontSize',12,'BackgroundColor',color2);


handles3.ear_popup=uicontrol(fig3,'Style','Popupmenu',...
    'Units','Normalized','Position',[0.65 0.85 0.15 0.05],...
    'String',{'Left','Right','Both'},'FontSize',12,'BackgroundColor','w');

% Enter new participant button
handles3.participant_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.85 0.85 0.1 0.08],...
    'String','Enter','FontSize',14,...
    'Callback','new_participant',...
    'BackgroundColor','y');

uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.0 0.8 1 0.05],...
    'String','__________________________________________________________________________________________________________',...
    'FontSize',12,'BackgroundColor',color2);


% Participants
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.01 0.75 0.3 0.05],...
    'String','Participants','FontSize',15,'BackgroundColor',color2);

handles3.participants_listbox=uicontrol(fig3,'Style','Listbox',...
    'Units','Normalized','Position',[0.01 0.01 0.3 0.74],...
    'String','','FontSize',12,'BackgroundColor','w');


% Sessions
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.5 0.75 0.45 0.05],...
    'String','Sessions','FontSize',15,'BackgroundColor',color2);

handles3.sessions_listbox=uicontrol(fig3,'Style','Listbox',...
    'Units','Normalized','Position',[0.5 0.35 0.45 0.4],...
    'String','','FontSize',12,'BackgroundColor','w');

% View data button
handles3.view_data_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.35 0.6 0.1 0.08],...
    'String','>>>>','FontSize',20,...
    'BackgroundColor','y',...
    'Callback','view_data');

% Clear sessions button
handles3.clear_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.35 0.5 0.1 0.08],...
    'String','<<<<','FontSize',20,...
    'BackgroundColor','y',...
    'Callback','clear_sessions');

% View results
handles3.view_results_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.5 0.25 0.1 0.08],...
    'String','View','FontSize',16,...
    'BackgroundColor','y',...
    'Callback','view_results');

% Run test button
handles3.run_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.61 0.25 0.23 0.08],...
    'String','Run Test','FontSize',23,...
    'BackgroundColor','g',...
    'Callback','run_test');


% Quit button
handles3.quit_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.85 0.25 0.1 0.08],...
    'String','Quit','FontSize',16,...
    'BackgroundColor',[1 0 0],...
    'Callback','quit_test');

%--------------------------------------------------------------------------
% Calibration
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.35 0.2 1 0.05],...
    'String','__________________________________________________________________________________________________________',...
    'FontSize',12,'BackgroundColor',color2);

uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.35 0.15 0.2 0.05],...
    'String','CALIBRATION',...
    'FontSize',15,'BackgroundColor',color2);

handles3.calibration_status=uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.8 0.15 0.15 0.05],...
    'String','status',...
    'FontSize',15,'BackgroundColor',color2,'ForegroundColor','b');

% Channel
uicontrol(fig3,'Style','Text',...
    'Units','Normalized','Position',[0.35 0.09 0.15 0.05],...
    'String','Channel','FontSize',12,'BackgroundColor',color2);

handles3.channels_popup=uicontrol(fig3,'Style','Popupmenu',...
    'Units','Normalized','Position',[0.35 0.05 0.15 0.05],...
    'String',{'Left','Right','Both'},'FontSize',12,'BackgroundColor','w');

% Play noise
handles3.play_noise_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.55 0.05 0.1 0.08],...
    'String','Noise','FontSize',16,...
    'BackgroundColor',color3,...
    'Callback','play_noise');

% Play tone
handles3.play_tone_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.7 0.05 0.1 0.08],...
    'String','Tone','FontSize',16,...
    'BackgroundColor',color3,...
    'Callback','play_tone');

% Stop
handles3.stop_playback_pb=uicontrol(fig3,'Style','Pushbutton',...
    'Units','Normalized','Position',[0.85 0.05 0.1 0.08],...
    'String','Stop','FontSize',16,...
    'BackgroundColor',color3,...
    'Callback','stop_playback');

drawnow
guidata(fig3,handles3)

return

